Subject: bug#14073: closed (Re: bug#14073: 24.3.50; build failed for the configuration with --enable-check-lisp-object-type)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Mar 2013 13:50:02 +0000

Your bug report

#14073: 24.3.50; build failed for the configuration with --enable-check-lisp-object-type

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14073: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14073
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14073: 24.3.50; build failed for the configuration with --enable-check-lisp-object-type
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 28 Mar 2013 15:46:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: OKAZAKI Tetsurou <[email-masked]>,  [email-masked]
> Date: Thu, 28 Mar 2013 09:21:47 -0400
> 
> >> w32fns.c:5795:26: error: request for member ‘i’ in something not a structure or union
> 
> This message normally means "we got an int where a Lisp_Object was expected".
> 
> > There's no 'i' on line 5795 of w32fns.c on the trunk.  That line says:
> 
> Might be a different version of w32fns.c.  On line 5795 I have
> 
>   FRAME_TOTAL_COLS (f) = XINT (w->total_cols);

Thanks, fixed.

Subject: 24.3.50; build failed for the configuration with --enable-check-lisp-object-type
From: OKAZAKI Tetsurou <[email-masked]>
To: [email-masked]
Date: Thu, 28 Mar 2013 20:26:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

$ uname -s -r -v -m -o
CYGWIN_NT-6.1-WOW64 1.7.17(0.262/5/3) 2012-10-19 14:39 i686 Cygwin

$ bzr pull
$ ./autogen.sh
$ env CFLAGS="-ggdb3 -O2" ./configure --with-w32 --without-x --enable-check-lisp-object-type
$ make bootstrap

...
gcc -std=gnu99 -c -I/usr/include/noX -Demacs  -I. -I/home/tetsurou/Checkout/bzr.savannah.gnu.org/emacs/local/src  -I../lib -I/home/tetsurou/Checkout/bzr.savannah.gnu.org/emacs/local/src/../lib           -I/usr/include/libxml2           -MMD -MF deps/w32fns.d -MP   -I/usr/include/p11-kit-1      -ggdb3 -O2 w32fns.c
w32fns.c: In function ‘Fx_show_tip’:
w32fns.c:5795:26: error: request for member ‘i’ in something not a structure or union
Makefile:327: recipe for target `w32fns.o' failed
make[2]: *** [w32fns.o] Error 1